bittornado (0.3.18-10ubuntu6) wily; urgency=medium

  * Rebuild for gcc5 wxwidgets2.6 transition

 -- Michael Terry <mterry@ubuntu.com>  Mon, 17 Aug 2015 15:34:59 -0400

bittornado (0.3.18-10ubuntu4) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:46:18 +0000

bittornado (0.3.18-10ubuntu3) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:00:57 +0000

bittornado (0.3.18-10ubuntu2) oneiric; urgency=low

  * switch to dh_python2 (LP: #788514)
    - install btmakemetafile.py and btcompletedir.py via pyinstall
    - add build depend on python-all
    - bump debhelper depend to 7 for dh_auto_install

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 10 Aug 2011 23:02:19 +0200

bittornado (0.3.18-10ubuntu1) natty; urgency=low

  * debian/patches/32_use_hashlib_for_sha.patch:
    - Updated use of deprecated sha module to hashlib. (LP: #420387,
    Closes: #593653) 

 -- Ronny Cardona (Rcart) <rcart1019@gmail.com>  Mon, 24 Jan 2011 17:27:47 -0600

bittornado (0.3.18-10) unstable; urgency=low

  * New patch from upstream's CVS to allow torrents that only have an
    announce list: 30_announce_list_only_torrents.dpatch (Closes: #551766)
  * Fix a lot of lintian warnings
    - Update standards version to 3.8.4 (no changes)
  * Fix for when compact_reqd is turned off:
    31_fix_for_compact_reqd_off.dpatch (Closes: #574860)
  * Switch to the new "3.0 (quilt)" source format

 -- Cameron Dale <camrdale@gmail.com>  Sun, 21 Mar 2010 14:36:30 -0700

bittornado (0.3.18-9) unstable; urgency=low

  * fix for OSes that return file modification time as a float,
    new patch 28_float_mod_time_fix.dpatch (Closes: #503043)
  * patch interesting error where urandom is available in os.py but not
    implemented on the os, patch 29_fix_urandom_error.dpatch (LP: #291464)
  * update the package descriptions (Closes: #537592)
  * update the crypto_allowed entry in the manual page (Closes: #492031)
  * update the standards version to 3.8.3 (no changes)
  * remove dh_desktop from the rules file

 -- Cameron Dale <camrdale@gmail.com>  Mon, 07 Sep 2009 22:42:45 -0700

bittornado (0.3.18-8) unstable; urgency=low

  * Removed btdownloadheadless curses dependency so it can run
    in a terminal (Closes: #327505)

 -- Cameron Dale <camrdale@gmail.com>  Tue, 11 Nov 2008 11:24:32 -0800

bittornado (0.3.18-7) unstable; urgency=medium

  * Refresh all the quilt patches (Closes: #485320)
  * Update standards version to 3.8.0
    - Add a README.source file pointing to the quilt documentation
  * medium urgency to get it into lenny

 -- Cameron Dale <camrdale@gmail.com>  Sat, 19 Jul 2008 16:08:44 -0700

bittornado (0.3.18-6) unstable; urgency=low

  * Migrate from the old 'from wxPython.wx import *' to the
    new 'import wx' namespace (LP: #206898)
    (quilt patch 21_remove_deprecated_wxPython_usage.dpatch)
    - add python-wxgtk2.8 as an alternative depends
  * Fix an issue with the makemetafile error-handling (Closes: #476652)
    (quilt patch 22_fix_makemetafile_error-handling.dpatch)
    - thanks to Mario Lang for the fix.
  * Remove the Windows-only UPnP options (Closes: #315026)
    (quilt patch 23_remove_UPnP_options.dpatch)
  * Clarify the use of the 'ip' parameter (Closes: #323784)
    (quilt patch 24_clarify_ip_parameter.dpatch)
  * Fix a bug in the error handling of btdownloadcurses/headless
    (quilt patch 25_errors_in_error_handling.dpatch)
  * Fix some minor packaging issues
  * Switch to quilt for patches
  * Fix some lintian warnings
    - upgrade Standards-Version to 3.7.3 (no changes)
    - use non-XS VCS headers
    - move Homepage field to source package headers
    - remove the unused binary-arch target

 -- Cameron Dale <camrdale@gmail.com>  Sat, 03 May 2008 19:46:19 -0700

bittornado (0.3.18-5) unstable; urgency=low

  [ Cameron Dale ]
  * Switch Cameron to Maintainer, Micah to Uploaders
  * Added Dm-Upload-Allowed for Debian Maintainer uploads
  * Remove the remaining 04_btlaunchmany.py_transpose_transfer_totals
    which should have gone when we removed
    03_btlaunchmanycurses.py_transpose_transfer_totals
  [ Micah Anderson ]
  * Update debian/NEWS to fix invalid sytax as reported by lintian check
    syntax-error-in-debian-news-file

 -- Cameron Dale <camrdale@gmail.com>  Sat, 27 Oct 2007 15:46:53 -0700

bittornado (0.3.18-4) unstable; urgency=low

  * 18_fix_launchmany_encrypter.dpatch: fix a bug in the Encrypter
    that dropped all launchmany handled connections (Closes: #422098)
  * Fixed absolute path and other spec problems in .desktop file
    (thanks to Ubuntu)
  * Fixed other .desktop issues from new lintian checks
  * Switch bittornado-gui dependence from Source-Version to source:Version
  * Fix the menu entry to comply with the new menu transition
  * 19_fix_tracker_return_all.dpatch: fix a tracker bug that caused
    all torrents' peers to be returned for every request
  * 20_tracker_cache_minor_fix.dpatch: a minor fix for the new cache
    structure used by the tracker

 -- Cameron Dale <camrdale@gmail.com>  Mon, 17 Sep 2007 13:56:24 -0800

bittornado (0.3.18-3) unstable; urgency=low

  * Added a recommends on python-crypto for encrypted communications
  * Add XS-Vcs-Browser to debian/control

 -- Cameron Dale <camrdale@gmail.com>  Fri, 11 May 2007 13:56:24 -0800

bittornado (0.3.18-2) unstable; urgency=low

  * Fixed some man page typos (Closes: #409584, #409585)
  * Updated man pages for encryption
  * Removed 14_enable_gui_commandline.dpatch (Closes: #413749)
  * Removed the obsolete icons directory

 -- Cameron Dale <camrdale@gmail.com>  Sun, 22 Apr 2007 13:56:24 -0800

bittornado (0.3.18-1) unstable; urgency=low

  * New upstream release
    . removed unnecessary 03_btlaunchmanycurses.py_transpose_transfer_totals
  * Fixed a small syntax error (17_fix_NatCheck_bufferlen_error)

 -- Cameron Dale <camrdale@gmail.com>  Thu,  4 Jan 2007 13:56:24 -0800

bittornado (0.3.17-1) unstable; urgency=low

  * New upstream release (Closes: #395326)
    . Fixes BitTorrent engine error (Closes: #385721)
    . Fixes problem with super-seeding
  * Fix the ipv6 in SocketHandler.py (Closes: #305388)
    (thanks to Tobias Diedrich for this fix)

 -- Cameron Dale <camrdale@gmail.com>  Fri, 27 Oct 2006 15:46:48 -0700

bittornado (0.3.15-4) unstable; urgency=high

  * Removed the generated pyc files (Closes: #394180)

 -- Cameron Dale <camrdale@gmail.com>  Fri, 20 Oct 2006 12:31:54 -0800

bittornado (0.3.15-3) unstable; urgency=low

  * Enabled the gui commandline arguments for btdownloadgui (Closes: #378490)
  * Switch to version-independent build-dependencies for python
  * Drop dh_python and improve dh_pysupport implementation
  * Start providing python-bittornado as bittornado module
  * Make btlaunchmany send stopped event on exit (Closes: #387658)
  * Fix unicode support in btmaketorrentgui (Closes: #330955)
  * Fix btmaketorrentgui and btcompletedirgui dependence on 
    python-wxgtk2.4 (Closes: #391792)
  * Thanks to Jérémy Bobbio for the previous 2 fixes
  * Update Build-Depends python-support version to avoid #391689

 -- Cameron Dale <camrdale@gmail.com>  Fri, 06 Oct 2006 12:31:54 -0800

bittornado (0.3.15-2) unstable; urgency=low

  * Python transition update
    . Update build debhelper Depends for python transition
    . Add debian/pycompat to instruct dh_python to follow new policy
    . Add XB-Python-Version: ${python:Versions} to debian/control
    . Add Build-Depends: python-support (>= 0.3)
    . Add dh_pysupport to debian/rules
  * Moved debhelper and dpatch dependency out of Build-Depends-Indep 
    to comply with Policy Section 7.6
  * Updated policy to 3.7.2 (no changes)
  
 -- Micah Anderson <micah@debian.org>  Sat, 24 Jun 2006 11:14:47 -0400

bittornado (0.3.15-1) unstable; urgency=low

  [ Cameron Dale ]
  * New upstream release
  * Added Cameron Dale as Co-Maintainer
  * Changed bittornado-gui dependency to match bittornado (Closes: #358912)
  * Updated patches to work with new upstream
  * Removed unnecessary modifications from Tim Tucker patch
  * Updated watch file to work again
  * New patch 12_make_guis_use_2.4, makes 2 GUIs choose wxPython 2.4
  * New patch 13_fix_btcompletedirgui_bug
  * Switch to docbook-to-man for man pages
  * Updated all man pages

 -- Micah Anderson <micah@debian.org>  Mon, 17 Apr 2006 12:31:54 -0800

bittornado (0.3.13-2) unstable; urgency=low

  [ Cameron Dale ]
  * Add 08_btdownloadcurses_indent patch back in
  * Update to standards version 3.6.2
  * Added conflict with libfreetype6 (=2.1.7-2.4) (Closes: #354184)

  [ Micah Anderson ]
  * Updated bug reporting address (Closes: #348155)

  [ Cameron Dale ]
  * Update btdowloadcurses.py to be identical to orig.tar.gz one
  * Updated bttrack.bittornado manpage (Closes: #335679)

 -- Micah Anderson <micah@debian.org>  Tue, 28 Feb 2006 11:49:27 -0500

bittornado (0.3.13-1) unstable; urgency=low

  * New upstream release
  * Applied fixes from TimTucker
  * Changed Dependency from libwxgtk2.4-1-python to python-wxgtk2.6 
    (Closes: #326701) 
  * Updated man pages to fix parsing problems
  * Applied fix for selfcheck hashes to be sorted

 -- Micah Anderson <micah@debian.org>  Wed, 27 Jul 2005 23:50:53 -0500

bittornado (0.3.12-1) unstable; urgency=low

  * Updated manpages to have more infomrative short descriptions, better
    command-line summaries, more proper man-page formatting and some 
    spelling errors were fixed (Closes: #310345, Closes: #310540).
  * Updated to latest upstream release (Closes: #305071).
  * Changed bug report address to be the Debian BTS

 -- Micah Anderson <micah@debian.org>  Sat,  9 Apr 2005 23:36:40 -0500

bittornado (0.3.11-1) unstable; urgency=medium

  * New upstream release, should also fix problems on 
    64-bit machines (Closes: #303813)

 -- Micah Anderson <micah@debian.org>  Thu,  7 Apr 2005 09:24:53 -0500

bittornado (0.3.10-5) unstable; urgency=medium

  * Disabled psyco support from being enabled automatically, in
    some situations it increases memory usage and can cause
    reliability problems.

 -- Micah Anderson <micah@debian.org>  Wed,  6 Apr 2005 22:14:56 -0500

bittornado (0.3.10-4) unstable; urgency=medium

  * Updated Build-Depends-Indep to be specific for python 2.4
  * Updated btdownloadcurses.bittornado.1, bttrack.bittornado.1, 
    bittorrent-downloader.bittornado.1, btcompletedir.bittornado.1
    btcompletedirgui.bittornado.1, btdownloadgui.bittornado.1,
    btdownloadheadless.bittornado.1, btlaunchmany.bittornado.1,
    btlaunchmanycurses.bittornado.1, btmakemetafile.bittornado.1
    patched README.txt to list the correct ports (Closes: #301456)
  * Added patch to enable PSYCO support if package is installed
    updated debian/control to Suggest on python-psyco, not Depending
    because psyco is i386 only (Closes: #303360)
  * Actually enable bttrack connection AttributeError fix patch

 -- Micah Anderson <micah@debian.org>  Wed,  9 Mar 2005 18:04:11 -0600

bittornado (0.3.10-3) unstable; urgency=low

  * Changed bittornado.desktop to cause the client to no longer show up
    in the Other menu in GNOME (Closes: #298635)
  * Updated bttrack manpage to have proper arguments and remove duplicates
  * Changed maintainer address in debian/control

 -- Micah Anderson <micah@debian.org>  Sun, 13 Feb 2005 21:39:34 -0600

bittornado (0.3.10-2) unstable; urgency=low

  * Changed debian/control back for bittornado-gui so it is building 
    against libwxgtk2.4-python instead of libwxgtk2.5.3-python as this
    will not enter testing
  * Added patch from http://forums.degreez.net/viewtopic.php?t=3848 to
    fix bttrack connection AttributeError (Closes: #294803)
  * Updated btlaunchmanycurses manpage to indicate that --saveas can use a
    directory (Closes: #293286)
 -- Micah Anderson <micah@riseup.net>  Fri, 21 Jan 2005 12:09:54 -0600

bittornado (0.3.10-1) unstable; urgency=low

  * New upstream release (Closes: #290765, #281841, #288345)
  * Created debian/watch file
  * Updated debian/control for bittornado-gui to build against 
    libwxgtk2.5.3-python
  * Updated debian/bittornado.desktop to have the right categories and
    installed into the proper directory, added dh_desktop to debian/rules
  * Changed debian/control to fit new lintian requirements

 -- Micah Anderson <micah@riseup.net>  Fri, 21 Jan 2005 10:05:47 -0600

bittornado (0.3.9b-1) unstable; urgency=low

  * Upgraded to latest upstream version (Closes: #286554)
  * Fixed setup.py executable FTBS problem (Closes: #286060)
  * Removed predictable port and TOS port patches (Closes: #285804)

 -- Micah Anderson <micah@riseup.net>  Fri, 31 Dec 2004 16:38:42 -0600

bittornado (0.3.8-1) unstable; urgency=low

  * Upgraded to latest upstream version
  * Added two patches to enhance the ability to filter/traffic, one 
    patch from Greg Smith <greg@electricrain.com> which sets the port
    for outbound connections so they come from a predictable port.
    same port is used for outgoing as is used for incoming. From 
    http://krypto.org/bt/bittornado-SocketHandler-sourceport.diff
    The other copies code from bittorrent which sets IP_TOS - but fix 
    the bitfield because bittorrent accidentially uses 0x20 which is 
    the reverse of the correct 0x8 (IPTOS_THROUGHPUT). Thanks to 
    dean gaudet for these. (Closes: #284413)  
  * Added bittornado icon, created by Stefani Banerian, added menu 
    entry referencing this icon and modified desktop entry to use icon

 -- Micah Anderson <micah@riseup.net>  Thu,  9 Dec 2004 22:42:03 -0600

bittornado (0.3.7-5) unstable; urgency=low

  * Changed Recommends on bittornado-gui to Suggests because, as Mr.
    Thaddeus H. Black points out, a Recommends means that if someone
    tries to dselect bittornado, then dselect will automatically pull
    in bittornado-gui and several other packages a non-X system does
    not want.
  * Fixed typos in control (Closes: #283277)
  * Added patch to increase significant digit in btdownloadcurses,
    thanks <mozbugbox@yahoo.com.au>, (Closes: #250904)
  * Re-introduced patch to transpose up and down rates as they are broken
    had to make an additional patch to btlaunchmany (Closes: #272690)
  * Updated man pages for btlaunchmany, btlaunchmanycurses,
    btdownloadheadless, btdownloadcurses and btdownloadgui and 
    btmakemetafile (Closes: #280241)

 -- Micah Anderson <micah@riseup.net>  Thu, 21 Oct 2004 15:44:04 -0500

bittornado (0.3.7-4) unstable; urgency=low

  * Created new man page for bttrack and btmakemetafile
  * Added patch to fix bttrack --allowed_dir bug. (Closes: #271489)
  * Removed improper alternatives connections for btcompletedirgui
    and btdownloadgui in the bittornado package as these are handled
    in bittornado-gui (Closes: #272445)
  * Removed erroneous %s in Exec line of bittornado.desktop. (Closes: #271847)

 -- micah <micah@um.riseup.net>  Sun, 26 Sep 2004 23:27:48 -0500

bittornado (0.3.7-3) unstable; urgency=low

  * Fixed postrm to work with dash (Closes: #267700)
  * Removed patch to transpose transfer total order as this was causing
    totals to be misrepresented in btlaunchmany and btlaunchmanycurses and
    possibly others. Forwarding that request to upstream. (Closes: #262862)
  * Removed patch to fix icon location and stopped installing icons and gifs in
    the icon directory, this version of bittornado generates the icons
    in users .BitTornado directory so that they can be user customizable.
  * Removed bt_MakeCreateIcons.py from source distro at the recommendation of
    upstream.
  * Removed bt-t-make.py as upstream indicates that it is unfinished and
    not very usable.
  * Changed package to use the alternatives system so that it can be installed
    alongside bittorrent (Closes: #254489, #255409)
  * Made btcompletedirgui, btdownloadgui, and btmaketorrentgui man pages 
    (Closes: #250313, #269764)

 -- Micah Anderson <micah@riseup.net>  Fri,  3 Sep 2004 16:50:19 -0500

bittornado (0.3.7-2) unstable; urgency=low

  * Upgraded depends for bittornado-gui (Closes: #264935)
  * Created new man pages for btdownloadcurses, btdownloadheadless,
    btlaunchmany, btlaunchmanycurses (Closes: #264425)

 -- Micah Anderson <micah@riseup.net>  Wed, 11 Aug 2004 10:49:32 -0500

bittornado (0.3.7-1) unstable; urgency=low

  * Upgraded to the latest upstream release (Closes: #259673)
  * Added versioned depends on bittornado (>= 0.2.0-7) for
    bittornado-gui as people with older versions installed would get
    errors (Closes: #258644)
  * Removed the patches which displayed an error if you did not have
    the proper libwxgtk package installed, no longer necessary.
  * Removed patches which fixed a number of upstream bugs, as these
    have been fixed in the upstream version now.
  * Transposed the order in which transfer totals are presented in 
    btlaunchmanycurses so that they correspond with the ordering used for 
    data rates, making it easier to scan as the column headings are no 
    longer misleading (Closes: #259672), thanks Euan MacGregor
	
 -- Micah Anderson <micah@riseup.net>  Wed, 21 Jul 2004 20:25:48 -0500

bittornado (0.2.0-7) unstable; urgency=low

  * Created NEWS file to note the package split
  * Removed debconf note (Closes: #257402, #257666, #257369), thanks Tollef
  * Changed Suggests: bittornado-gui to Recommends:
  * Fixed invalid syntax in wxPython error message which kept btdownloadgui
    from starting
  * Removed duplicate manpage from bittornado-gui (Closes: #257334, #257959, #257960)

 -- Micah Anderson <micah@riseup.net>  Tue,  6 Jul 2004 17:12:37 -0500

bittornado (0.2.0-6) unstable; urgency=low

  * Split package into GUI/non-GUI componants, all GUI componants will
    be in the bittornado-gui package (Closes: #251977, #254657)
  * Added debconf warning for those who already have the package installed
    that they need to install the bittornado-gui package to get those 
    componants, only appears for those upgrading from prior version

 -- Micah Anderson <micah@riseup.net>  Wed, 16 Jun 2004 17:34:15 -0500

bittornado (0.2.0-5) unstable; urgency=low

  * Fixed importing of module in btmaketorrentgui (Closes: #254266)

 -- Micah Anderson <micah@riseup.net>  Tue, 15 Jun 2004 19:51:23 -0500

bittornado (0.2.0-4) unstable; urgency=low

  * Updated the copyright file to have a link to the upstream source
    and to properly credit the upstream author
  * Fixed location of bittornado.desktop menu file so it appears in the
    proper place now (Closes: #253752)
  * Removed unneeded build-stamp target from the rules file
  * Added patches to GUI componants to warn if libwxgtk2.4-python is not
    installed until package split into X and -noX componants is completed

 -- Micah Anderson <micah@riseup.net>  Mon, 14 Jun 2004 11:50:03 -0500

bittornado (0.2.0-3) unstable; urgency=low

  * Changed rules to be more python version independent
  * Changed nowxmsg so that it was up to date
  * Fixed library location of btcompletedir for 
  	btcompletedirgui (Closes: #251337)
  * Fixed library location of btcompletedir for 
  	btmaketorrentgui (Closes: #251338)

 -- Micah Anderson <micah@riseup.net>  Mon,  7 Jun 2004 20:14:32 -0300

bittornado (0.2.0-2) unstable; urgency=low

  * Fixed dependencies on specific versions of python 
    and cleaned up install to not duplicate debhelper work (Closes: #249517) 

 -- Micah Anderson <micah@riseup.net>  Fri, 21 May 2004 22:06:20 -0500

bittornado (0.2.0-1) unstable; urgency=low

  * Initial Release.
  * Changed btdownloadgui.py to use icons in FHS standard directory
    (/usr/share/icons/bittornado)
  * Removed bttest.py and btdownloadlibrary.py from distribution because
    they are broken and according to upstream, "btdownloadlibrary.py and 
    bttest.py are old and will probably stay broken"
  * Modified btmaketorrentgui.py and btcompletedir.py so that they pulled
    btmakemetafile from BitTornado.btmakemetafile instead of relying on
    it in /usr/bin, bug filed with upstream, to be fixed in next version
  * Fixed btcompletedir.py to exit properly, upstream notified
  * Created man page for btcompletedir and btcopyannounce

 -- Micah Anderson <micah@riseup.net>  Sat,  8 May 2004 18:03:58 -0500

